# Examples for Data Structures


# Show all Items in the Dataset
# ... for inv1
for r in inv1: 
    print r
# ... for inv2
for k in inv2:
    print k, inv2[k]


# List all SKUs in the Dataset
# ... for inv1
[r['sku'] for r in inv1]
# ... for inv2
inv2.keys()


#Total Inventory Value
# ... for inv1
sum([r['cost']*r['qty'] for r in inv1])
# ... for inv2
sum([inv2[k][0]*inv2[k][2] for k in inv2])


#On‐hand inventory for SKU B1638
# ... for inv1
sku = 'B1638'
inv1[[s['sku'] for s in inv1].index(sku)]['qty']
# ... for inv2
sku = 'B1638'
inv2[sku][2]